summaryrefslogtreecommitdiff
path: root/make-target-contrib.sh
diff options
context:
space:
mode:
authorDaniel Barlow <dan@telent.net>2003-02-21 16:21:02 +0000
committerDaniel Barlow <dan@telent.net>2003-02-21 16:21:02 +0000
commit3b91bf9e9daf110b35dd8d5b6ca5a88e0fb0f13b (patch)
tree8b86cd8015974ebe67cede5e755d46a34b3fee3e /make-target-contrib.sh
parentf27b79bae24285a896c9b0ee1a421818eaf8e6db (diff)
0.7.12.50
It's easier to port a shell than a shell script. -- Larry Wall Contrib-related fixes - ... multiple uses of test -e are now test -f ... don't run make test in install, it's more work than we want to do as root ... instead, touch $i/test-passed in make-target-contrib.sh (if, indeed, it has) and test for presence of that file when installing ... Rationalise AF-* constants in sb-bsd-sockets: AF-LOCAL is the One True Name. ... In sb-bsd-sockets build, don't hardcode gcc to be in /usr/bin
Diffstat (limited to 'make-target-contrib.sh')
-rw-r--r--make-target-contrib.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/make-target-contrib.sh b/make-target-contrib.sh
index ace42e847..50ae24353 100644
--- a/make-target-contrib.sh
+++ b/make-target-contrib.sh
@@ -1,9 +1,8 @@
#!/bin/sh
# This is a script to be run as part of make.sh. The only time you'd
-# probably want to run it by itself is if you're trying to
-# cross-compile the system or if you're doing some kind of
-# troubleshooting.
+# probably want to run it by itself is if you're cross-compiling the
+# system or doing some kind of troubleshooting.
# This software is part of the SBCL system. See the README file for
# more information.
@@ -27,7 +26,8 @@ export SBCL SBCL_BUILDING_CONTRIB
gnumake=${GNUMAKE:-gmake}
for i in contrib/*; do
- test -d $i && test -e $i/Makefile || continue;
+ test -d $i && test -f $i/Makefile || continue;
# export INSTALL_DIR=$SBCL_HOME/`basename $i `
- $gnumake -C $i test
+ test -f $i/test-passed && rm $i/test-passed
+ $gnumake -C $i test && touch $i/test-passed
done